# Configuration

Use the following configuration options to bind the Handsontable for WireBootstrap component.

## Properties <a href="#properties" id="properties"></a>

| Name         | Description                                                                                                                                                                                                                                                                                                                                          |
| ------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| colHeaders   | *Boolean*. When `true`, automatically sets the column headers using the [column](https://docs.wirebootstrap.com/wirebootstrap/reference/wire.data/wire.data.datatable/columns) names in the [DataTable](https://docs.wirebootstrap.com/wirebootstrap/reference/wire.data/wire.data.datatable) created from the configuration in the `data` property. |
| data         | Set the [data](https://docs.wirebootstrap.com/wirebootstrap/working-with-components/configuration/data) to be displayed in the component.                                                                                                                                                                                                            |
| Handsontable | The pass-through for the [native Handsontable configuration](https://handsontable.com/docs/setting-options/).  See [Handsontable](/handsontable/configuration.md#sparkline) for an example.                                                                                                                                                          |

## Handsontable <a href="#sparkline" id="sparkline"></a>

The `Handsontable` configuration property is a pass-through for Handsontable's own configuration.  Below is the list of default values set by Handsontable for WireBootstrap.

```javascript
    Handsontable: {
        data: [],
        height: 320,
        filters: true,
        dropdownMenu: true,
        rowHeaders: true,
        colHeaders: true,
        contextMenu: true,
        licenseKey: "non-commercial-and-evaluation"
    }
```

To override any of the default or set any other native Handsontable configuration property, set the `Handsontable` property.

```javascript
new wire.handsontable().render("#table", {
    Handsontable: {
      dropdownMenu: false,
      multiColumnSorting: true,
      manualRowMove: true,        
    }
});
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wirebootstrap.com/handsontable/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
